Fix implicit-fallthrough warnings.
[android/platform-hardware-interfaces.git] / audio / common / all-versions / default / Android.bp
1 //
2 // Copyright (C) 2016 The Android Open Source Project
3 //
4 // Licensed under the Apache License, Version 2.0 (the "License");
5 // you may not use this file except in compliance with the License.
6 // You may obtain a copy of the License at
7 //
8 //      http://www.apache.org/licenses/LICENSE-2.0
9 //
10 // Unless required by applicable law or agreed to in writing, software
11 // distributed under the License is distributed on an "AS IS" BASIS,
12 // WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
13 // See the License for the specific language governing permissions and
14 // limitations under the License.
16 cc_library_shared {
17     name: "android.hardware.audio.common-util",
18     defaults: ["hidl_defaults"],
19     vendor_available: true,
20     vndk: {
21         enabled: true,
22     },
23     srcs: [
24         "EffectMap.cpp",
25     ],
27     export_include_dirs: ["include"],
29     shared_libs: [
30         "liblog",
31         "libutils",
32         "libhidlbase",
33     ],
35     header_libs: [
36         "android.hardware.audio.common.util@all-versions",
37         "libaudio_system_headers",
38         "libhardware_headers",
39     ],
40     export_header_lib_headers: [
41         "android.hardware.audio.common.util@all-versions",
42     ]
43 }